#
#	Makefile for Bdale's Mailer
#	
#	for more info see bm.doc and smtp.doc in the documentation package
#	if you change the makefile, do a make clean before you do a make.
#

CFLAGS= -DMSDOS -DAZTEC
HDRS=	bm.h
OBJS=	main.o send.o pc.o bmutil.o version.o header.o files.o getopt.o

#all:	bm.exe uuencode.exe uudecode.exe server.exe
all:	bm.exe 
	
bm.exe: 	$(OBJS) $(HDRS)
	ln -t -o bm.exe $(OBJS) -lc -ls

server.exe:	server.o version.o
	ln -o server.exe server.o version.o -lc

uuencode.exe:	uuencode.o 
	ln -t -o uuencode.exe uuencode.o -lc

uudecode.exe:	uudecode.o 
	ln -t -o uudecode.exe uudecode.o -lc

clean:
	del *.o
	del *.exe
	del *.sym
#
# dependencies - please keep up to date!
#
bmutil.o:	bmutil.c bm.h header.h
pc.o:	pc.c
main.o:		main.c bm.h
server.o:	server.c bm.h server.h
send.o:		send.c bm.h
uudecode.o:	uudecode.c
uuencode.o:	uuencode.c
header.o:	header.c header.h
files.o:	files.c
getopt.o:	getopt.c
