#
#	Makefile for Bdale's Mailer
#	
#	for more info see bm.doc and smtp.doc in the documentation package
#	if you change the makefile, do a make clean before you do a make.
#

CFLAGS= -O -DUNIX

OBJS=	main.o send.o unix.o bmutil.o version.o header.o files.o getopt.o \
	ndir.o wildmat.o

SRC=	main.c send.c unix.c bmutil.c version.c header.c files.c getopt.c \
	ndir.c wildmat.c

#all:	bm uuencode uudecode 
all:	bm 
	
bm: 	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o bm $(LDFLAGS)

clean:
	rm *.o

lint:
	lint $(CFLAGS) $(SRC)

#
# dependencies - please keep up to date!
#

bmutil.o:	header.h bm.h
header.o:	header.h bm.h
main.o:		bm.h
ndir.o:		ndir.h
send.o:		bm.h
unix.o:		bm.h ndir.h
